Get Order by ID

Retrieve the details for an Order given its order_id.

Get Order by ID

get

Retrieves a single order by its ID, including the full order details: customer information, bags with SKUs and shipping methods, shipping and billing addresses, payment transactions, and order totals. The order must belong to the authenticated app or the caller must have admin permissions.

Path parameters
order_idinteger · int64Required

ID of the order to retrieve

Example: 11111
Header parameters
X-Violet-TokenstringRequired

API token for authentication

X-Violet-App-SecretstringRequired

Application secret key

X-Violet-App-Idinteger · int32Required

Application ID

Example: 10000
Responses
chevron-right
200

success

application/json

A Violet Order representing a shopping cart that progresses through checkout to become a placed order. An Order contains one or more Bags (one per merchant), a customer, shipping/billing addresses, and a payment method. The lifecycle is: create cart → add items → set addresses → apply shipping → set payment → submit. All monetary values are in the smallest currency unit (e.g. cents for USD).

idinteger · int64Read-onlyRequired

ID of the Violet cart or order.

tokenstringRead-onlyOptionalDeprecated

An alternative UUID that can be used as an ID to reference the cart or order.

user_idinteger · int64Read-onlyOptionalDeprecated

ID of the User placing the order

app_idinteger · int32Read-onlyRequired

ID of the App responsible for the creation and submission of this Order.

developer_idinteger · int32Read-onlyRequired

ID of the Developer responsible for the creation and submission of this Order.

sub_totalinteger · int32Required

The price of the Order in the base currency before discounts, shipping, duties, taxes, and tips. In Cents.

Default: 0
shipping_totalinteger · int32Required

The sum of all shipping methods applied to the Order in the base currency. In Cents.

Default: 0
tax_totalinteger · int32Required

The sum of all the taxes applied to the Order in the base currency. In Cents.

Default: 0
discount_totalinteger · int32Required

The total discounts applied to the price of the Order in the base currency. In Cents.

Default: 0
totalinteger · int32Required

The sum of all item prices, discounts, shipping, and taxes applied to the Order in the base currency. In Cents.

Default: 0
app_customer_idstring · max: 191 · nullableOptional

App Customer ID. This should be used to map the order to the ID of the customer in your application.

app_order_idstring · max: 64 · nullableOptional

App Order ID. This should be set to a unique identifier in your system. While not enforced unique in Violet's system, it is strongly recommended that unique values are used for each cart to help correlate identifiers between Violet's system and yours.

statusstring · enumRead-onlyRequired

Status of the Order

Possible values:
is_guestbooleanRead-onlyRequired

Whether this is a guest checkout order. Guest orders do not create or link to a customer account in the merchant's system. Most orders placed via the Violet API are guest orders.

Default: true
date_createdstring · date-timeRead-onlyRequired

Date of order creation

date_last_modifiedstring · date-timeRead-onlyRequired

Indicates when the order was last modified. This timestamp is updated only when a property on the Order entity itself changes. Modifications to related entities (e.g., Bags) will not update this timestamp unless the change also triggers an update to the Order entity.

date_submittedstring · date-time · max: 24 · nullableRead-onlyOptional

Date the Order was last submitted in Violet. This value is captured immediately after the Order is successfully validated and before the nested Bag(s) are submitted to the external commerce platforms.

pricedbooleanRead-onlyRequired

Whether the cart has been priced. A cart must be priced before it can be submitted for checkout. Pricing is triggered automatically when shipping methods are applied and tax/shipping totals are calculated.

Default: false
wallet_based_checkoutbooleanRequired

Is this cart going to be placed through wallet-based checkout

Default: false
currencystring · min: 3 · max: 3Required

ISO 4217 currency code for the Order.

Default: USDExample: USD
referral_idstring · nullableOptional

Optional value used to represent an identifier in your system. This value is not required to represent a referral. It can represent the ID of anything in your system and can be used to filter order lookup results. Max length of 128 characters.

currency_symbolstringOptional

Symbol representing the currency the Order operates in.

app_namestringOptional

Name of app that originated the order. Use the "extended" query param when looking up orders to include this value.

stripe_keystringOptional

Stripe publishable key. Use for tokenizing payment methods.

payment_intent_client_secretstring · nullableRead-onlyOptional

Payment intent client secret. Use for payment intent based payment capture and external captures

order_idinteger · int64Optional
order_statusstring · enumOptionalPossible values:
guestbooleanOptional
intent_based_checkoutbooleanOptional

Boolean indicating if the cart/order will be payed using a payment intent.

get
/orders/{order_id}

Last updated

Was this helpful?